# List all Braintree plans Lists the plans associated with the identified product. The product ID is required. Endpoint: GET /zephr/payment/braintree/plans Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Query parameters: - `product_id` (string, required) Product ID ## Header parameters: - `cookie` (string) The session cookie. Example: "`blaize_session=...` (string)" ## Response 200 fields (application/json): - `plan-id` (object) - `plan-id.id` (string, required) The identifier for this payment plan. Example: "annual-plan" - `plan-id.name` (string, required) The name of this payment plan. Example: "Sports+ Membership Annual" - `plan-id.currency_code` (string, required) The ISO 4217 currency code for the transaction. Example: "USD" - `plan-id.base_price` (number, required) The price of this plan, without any discounts applied. Example: 10.2 - `plan-id.billing_interval_unit` (string, required) The time measurement unit for billing interval. Example: "MONTH" - `plan-id.billing_interval` (number, required) How many time units lapse between billing events. Example: 3 - `plan-id.billing_cycles` (number, required) How many times billing will occur. Example: 12 - `plan-id.trial_duration_unit` (string) The time measurement unit for trial duration. This will always be present if trial_duration is set. Example: "DAY" - `plan-id.trial_duration` (number) How long the trial period lasts. Example: 30 - `plan-id.discounts` (array) Any discounts that may apply to this plan. - `plan-id.zephr_product_id` (string, required) The Zephr product ID associated with this plan. Example: "product-123" ## Response 400 fields ## Response 401 fields ## Response 404 fields